%define module	gtkspellcheck
%define oname	py%{module}

Name:		python-%{module}
Summary:	Python GTK Spellchecker
Version:	4.0.6
Release:	%mkrel 2
License:	GPLv3+
Group:		Development/Python
Url:		https://github.com/koehlma/pygtkspellcheck
Source0:	https://pypi.io/packages/source/p/%{oname}/%{oname}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	pkgconfig(enchant-2)
BuildRequires:	pkgconfig(pygobject-3.0)
BuildRequires:	pkgconfig(gtk+-3.0)

%description
A simple but quite powerful spell checking library written in pure Python
for Gtk based on Enchant.

%package -n python3-%{module}
Summary:	Python3 GTK Spellchecker
Group:		Development/Python
BuildRequires:	python3-enchant
BuildRequires:	python3-gobject
BuildRequires:	python3-sphinx
Requires:	python3-gobject
Requires:	python3-gobject-base
Recommends:	iso-codes

%description -n python3-%{module}
A simple but quite powerful spell checking library written in pure Python
for Gtk based on Enchant.

%prep
%setup -q -n %{oname}-%{version}

# drop bundled egg-info
rm -rf src/pygtkspellcheck.egg-info/

%build
%py3_build

# docs
make -C doc html
rm -rf doc/build/html/.buildinfo

%install
%py3_install

%find_lang py3gtkspellcheck

%files -n python3-%{module} -f py3gtkspellcheck.lang
%doc doc/build/html README.rst
%{python3_sitelib}/%{module}/
%{python3_sitelib}/pylocales/
%{python3_sitelib}/%{oname}-%{version}-py%{python3_version}.egg-info


%changelog
* Thu Mar 31 2022 umeabot <umeabot> 4.0.6-2.mga9
+ Revision: 1836421
- Mageia 9 Mass Rebuild

* Fri Feb 25 2022 mrambo3501 <mrambo3501> 4.0.6-1.mga9
+ Revision: 1784412
- version 4.0.6
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 4.0.5-9.mga9
+ Revision: 1732544
- Rebuild for python 3.9

* Fri Jan 08 2021 daviddavid <daviddavid> 4.0.5-8.mga8
+ Revision: 1669799
- make sure that gtk3 is installed during build

* Tue Dec 29 2020 wally <wally> 4.0.5-7.mga8
+ Revision: 1664815
- rebuild for autobuild failure

* Tue Dec 15 2020 tv <tv> 4.0.5-6.mga8
+ Revision: 1657513
- BR python3-gobject-base

* Sun Feb 16 2020 umeabot <umeabot> 4.0.5-5.mga8
+ Revision: 1535878
- Mageia 8 Mass Rebuild

* Mon Oct 14 2019 tv <tv> 4.0.5-4.mga8
+ Revision: 1452943
- rebuild for python-3.8
- drop python2 subpkg

* Mon Aug 19 2019 wally <wally> 4.0.5-3.mga8
+ Revision: 1430337
- build html docs

* Sun Mar 10 2019 daviddavid <daviddavid> 4.0.5-2.mga7
+ Revision: 1373463
- rename python-gtkspellcheck to python2-gtkspellcheck
- drop no more required enchant build dependency
- use new python macros

* Wed Jan 09 2019 shlomif <shlomif> 4.0.5-1.mga7
+ Revision: 1353258
- add BRs
- add BRs
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 4.0.1-12.mga7
+ Revision: 1288930
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 4.0.1-11.mga7
+ Revision: 1135443
- Rebuild for python 3.6

* Fri Feb 19 2016 umeabot <umeabot> 4.0.1-10.mga6
+ Revision: 970811
- Mageia 6 Mass Rebuild

* Fri Oct 09 2015 tv <tv> 4.0.1-9.mga6
+ Revision: 888518
- use right py*version macro
- rebuild for python 3.5

* Sun Sep 20 2015 wally <wally> 4.0.1-8.mga6
+ Revision: 881951
- BR enchant-devel

* Wed Oct 15 2014 umeabot <umeabot> 4.0.1-7.mga5
+ Revision: 742797
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 4.0.1-6.mga5
+ Revision: 728688
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 4.0.1-5.mga5
+ Revision: 688067
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Sat May 31 2014 pterjan <pterjan> 4.0.1-4.mga5
+ Revision: 628678
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 4.0.1-3.mga4
+ Revision: 543583
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 4.0.1-2.mga4
+ Revision: 498706
- Rebuild to add different pythonegg provides for python 2 and 3

* Sat Jul 06 2013 wally <wally> 4.0.1-1.mga4
+ Revision: 450746
- imported package python-gtkspellcheck

